import request from '@/utils/request'
// 内返一二级分类树
export function questionCategoryQuestionCategoryTree() {
    return request({
        url: '/questionCategory/questionCategoryTree',
        method: 'get'
    })
}
// 内返三级问题分类
export function questionCategoryList(data) {
    return request({
        url: '/questionCategory/list',
        method: "get",
        params:data
    })
}
// 内返三级添加
export function questionCategoryAdd(data) {
    return request({
        url: "/questionCategory/add",
        method: 'put',
        data
    })
}
//内返三级详情
export function questionCategoryDetail(data) {
    return request({
        url: '/questionCategory/detail',
        method: 'get',
        params: data
    })
}
// 内返三级编辑
export function questionCategoryEdit(data) {
    return request({
        url: '/questionCategory/edit',
        method: 'put',
        data
    })
}
// 内返三级删除
export function questionCategorydelete(id) {
    return request({
        url: `/questionCategory/${id}`,
        method: 'delete'
    })
}
